Commit 494d2135 authored by Nicolas Jager's avatar Nicolas Jager

update make-ring.py for libcanberra

- add libcanberra (devel-gtk3) dependencies for client-gnome for all linux
distributions.

Change-Id: Ie0592cccbfb479700dc5b3bf4ad9fa81715e1708
parent feea7bbb
......@@ -79,7 +79,7 @@ OPENSUSE_DEPENDENCIES = [
# gnome client
'gtk3-devel', 'clutter-gtk-devel', 'qrencode-devel', 'evolution-data-server-devel',
'gettext-tools', 'libnotify-devel', 'libappindicator3-devel', 'webkit2gtk3-devel',
'NetworkManager-devel'
'NetworkManager-devel', 'libcanberra-gtk3-devel'
]
MINGW64_FEDORA_DEPENDENCIES = [
......@@ -109,7 +109,7 @@ FEDORA_DEPENDENCIES = [
'yaml-cpp-devel', 'qt5-qtbase-devel', 'swig', 'qrencode-devel', 'jsoncpp-devel',
'gtk3-devel', 'clutter-devel', 'clutter-gtk-devel', 'evolution-data-server-devel',
'libnotify-devel', 'libappindicator-gtk3-devel', 'patch', 'libva-devel',
'webkitgtk4-devel', 'NetworkManager-libnm-devel', 'libvdpau-devel', 'msgpack-devel'
'webkitgtk4-devel', 'NetworkManager-libnm-devel', 'libvdpau-devel', 'msgpack-devel', 'libcanberra-devel'
]
UBUNTU_DEPENDENCIES = [
......@@ -124,7 +124,7 @@ UBUNTU_DEPENDENCIES = [
'libudev-dev', 'libupnp-dev', 'libyaml-cpp-dev', 'qtbase5-dev', 'sip-tester', 'swig',
'uuid-dev', 'yasm', 'libqrencode-dev', 'libjsoncpp-dev', 'libappindicator3-dev',
'libva-dev', 'libnm-dev',
'libwebkit2gtk-4.0-dev', 'libvdpau-dev', 'libmsgpack-dev'
'libwebkit2gtk-4.0-dev', 'libvdpau-dev', 'libmsgpack-dev', 'libcanberra-gtk3-dev'
]
DEBIAN_DEPENDENCIES = [
......@@ -138,7 +138,7 @@ DEBIAN_DEPENDENCIES = [
'libsndfile1-dev', 'libspeex-dev', 'libspeexdsp-dev', 'libswscale-dev', 'libtool',
'libudev-dev', 'libupnp-dev', 'libyaml-cpp-dev', 'qtbase5-dev', 'sip-tester', 'swig',
'uuid-dev', 'yasm', 'libqrencode-dev', 'libjsoncpp-dev', 'libappindicator3-dev',
'libva-dev', 'libwebkit2gtk-4.0-dev', 'libnm-dev', 'libvdpau-dev', 'libmsgpack-dev'
'libva-dev', 'libwebkit2gtk-4.0-dev', 'libnm-dev', 'libvdpau-dev', 'libmsgpack-dev', 'libcanberra-gtk3-dev'
]
ARCH_LINUX_DEPENDENCIES = [
......@@ -147,7 +147,7 @@ ARCH_LINUX_DEPENDENCIES = [
'expat', 'gsm', 'gtk3', 'jack', 'libnotify', 'opus', 'pcre', 'libpulse', 'libsamplerate',
'libsndfile', 'speex', 'speexdsp', 'libtool', 'libupnp', 'yaml-cpp', 'qt5-base',
'swig', 'yasm', 'qrencode', 'evolution-data-server', 'make', 'patch', 'pkg-config',
'automake', 'libva', 'webkit2gtk', 'libnm', 'libvdpau'
'automake', 'libva', 'webkit2gtk', 'libnm', 'libvdpau', 'libcanbera'
]
OSX_DEPENDENCIES = [
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment